import { defineComponent } from 'vue'
import empty from '@/common/images/icon_empty.png'
import { ElButton } from 'element-plus'

export default defineComponent({
  name: 'col-empty',
  props: {
    message: {
      type: String,
      default: '暂无数据'
    },
    buttonText: {
      type: String,
      default: '去首页'
    },
    buttonVisibility: {
      type: Boolean,
      default: false
    }
  },
  render() {
    return (
      <div class="w-full h-full text-center flex items-center justify-center flex-col">
        <img src={empty} class="w-64 m-auto" />

        <p class="text-base text-[#999999] pt-4 pb-6">{this.message}</p>

        {this.buttonVisibility && (
          <ElButton
            type="primary"
            class="rounded-sm !px-12"
            style={{ height: '38px' }}
          >
            {this.buttonText}
          </ElButton>
        )}
      </div>
    )
  }
})
