import { defineComponent, toRefs, reactive, onMounted, ref} from 'vue'

import classes from './index.module.less'
import detaile from './images/detaile.png'
import icon from './images/icon.png'
import { useRouter } from 'vue-router'
export default defineComponent({
  name: 'albumItem',
  emits:['getDetail'],
  props: {
    detail: {
      type: Object,
      default: {
        "auditStatus": "",
        "endTime": "",
        "lessonSubject": "",
        "order": "",
        "orderNo": "",
        "page": 0,
        "rows": 0,
        "search": "",
        "sort": "",
        "startTime": "",
        "userId": 0,
        "videoLessonGroupId": 0
      }
    },
    isFull:{
      type:Boolean,
      default:false
    }
  },
  setup(props,conent) {
    const state = reactive({
      detail:props.detail,
      isFull:props.isFull
    })
    const router = useRouter()
    const gotoVideoDetail = ()=>{
      if(state.isFull){
        conent.emit('getDetail',state.detail.id)
      }
        router.push({path:'/videoDetail',query:{id:state.detail.id}})


    }
    return () => (
      <>
        <div class={[classes.itemWrap,state.isFull?classes.isFull:'']} onClick={gotoVideoDetail}>
          <img src={state.detail.lessonCoverUrl?state.detail.lessonCoverUrl:detaile} alt="" class={classes.detaile} />
          <div class={classes.itemBottom}>
            <div class={classes.itemBottomL}>
              <img src={icon} class={classes.itemHead} alt="" />
              <span class={classes.itemTitle}>{state.detail.username}</span>
              <div class={classes.line}></div>
              <span class={classes.course}>{state.detail.lessonCount}课时</span>
            </div>
            <div class={classes.itemBottomR}>
              <span class={classes.buy}>{state.detail.countStudent}人购买</span>
            </div>
          </div>
        </div>
      </>
    )
  }
})
