import { ElImage } from 'element-plus'
import { defineComponent } from 'vue'
import iconTeacher from '@/common/images/icon_teacher.png'

export default defineComponent({
  name: 'item',
  props: {
    item: {
      type: Object,
      default: () => ({})
    }
  },
  render() {
    const item = this.item
    return (
      <div class="border border-[#f5f5f5] rounded-sm w-[262px] h-[302px] m-auto overflow-hidden relative hover:shadow-md transition-all">
        {item.subjectName && (
          <div class="absolute top-2 right-3 bg-black/40 text-white text-sm rounded-sm px-3 h-7 flex items-center justify-center z-10">
            {item.subjectName}
          </div>
        )}
        <ElImage
          class="w-full h-[175px] align-middle"
          fit="cover"
          src={item.backgroundPic}
        />
        <div class="mx-2.5 py-3.5 border-b border-b-[#F2F2F2]">
          <div class="text-lg leading-none font-medium whitespace-nowrap overflow-hidden text-ellipsis">
            {item.courseGroupName}
          </div>
          <div class="text-sm text-[#999] pt-2.5">
            {item.studentCount}人已购买
          </div>
        </div>

        <div class="mx-2.5 py-4 flex items-center justify-between">
          <div class="flex items-center">
            <ElImage
              class="w-[22px] h-[22px] align-middle rounded-full overflow-hidden mr-2"
              object-fit="cover"
              src={item.avatar || iconTeacher}
            />
            <span>{item.teacherName}</span>
          </div>
          <div class="font-medium text-[15px] leading-5 text-[#2DC7AA]">
            ￥{item.coursePrice}/{item.courseNum}课时
          </div>
        </div>
      </div>
    )
  }
})
