import { defineComponent } from 'vue'
import iconTeacher from '@/common/images/icon_teacher.png'
import { ElTag } from 'element-plus'
import { state } from '@/state'
import { userInfo } from 'os'

export default defineComponent({
  name: 'users',
  computed: {
    userInfo() {
      return state.user.data
    }
  },
  render() {
    return (
      <div class="bg-white rounded-[6px] text-center pt-[30px] pb-8 flex items-center flex-col">
        <img src={iconTeacher} class="w-[68px] h-[68px] rounded-full" />

        <p class="text-[#1A1A1A] text-lg pt-4">{this.userInfo.username}</p>

        {(this.userInfo.entryFlag == 1 || this.userInfo.musicianFlag) && (
          <div class="pt-3 pb-6">
            {this.userInfo.entryFlag === 1 && (
              <ElTag round color="#fff" class="mx-1 !border-[#2DC7AA]">
                老师认证
              </ElTag>
            )}
            {this.userInfo.musicianFlag === 1 && (
              <ElTag round color="#fff" class="mx-1 !border-[#2DC7AA]">
                音乐人认证
              </ElTag>
            )}
          </div>
        )}

        <div class="text-[14px] text-[#666] flex items-center justify-center">
          <span class="flex items-center justify-center leading-6">
            粉丝
            <b class="text-black text-xl pl-1 pb-[2px]">
              {this.userInfo.fansNum || 0}
            </b>
          </span>
          {/* <span class="pl-3 flex items-center justify-center leading-6">
            帖子<b class="text-black text-xl pl-1 pb-[2px]">124</b>
          </span> */}
        </div>
      </div>
    )
  }
})
